# Class FunctionPlotter.FunctionStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.LineStyle
uk.ac.starlink.ttools.plot2.layer.FunctionPlotter.FunctionStyle

All Implemented Interfaces:
  `Style`

Enclosing class:
  `FunctionPlotter`

public static class FunctionPlotter.FunctionStyle extends LineStyle
Style class associated with this plotter. The style includes the actual function definitions as well as the usual things like colour, line thickness etc.

Since:
  15 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`FunctionStyle(Color color, Stroke stroke, boolean antialias, JELFunction function, FunctionPlotter.FuncAxis axis)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class LineStyle

`createLineTracer, getAntialias, getColor, getLegendIcon, getStroke`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FunctionStyle

public FunctionStyle(Color color, Stroke stroke, boolean antialias, JELFunction function, FunctionPlotter.FuncAxis axis)
Constructor.

Parameters:
  `color` - line colour
  `stroke` - line stroke
  `antialias` - true to draw line antialiased
  `function` - analytic function definition
  `axis` - axis geometry

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `LineStyle`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `LineStyle`